export declare const HTTP_CODE_INFORMATION: {
    readonly CONTINUE: 100;
    readonly SWITCHING_PROTOCOL: 101;
    readonly PROCESSING: 102;
    readonly EARLY_HINTS: 103;
};
export declare const HTTP_CODE_SUCCESS: {
    readonly OK: 200;
    readonly CREATED: 201;
    readonly ACCEPTED: 202;
    readonly NON_AUTHORITATIVE_INFORMATION: 203;
    readonly NO_CONTENT: 204;
    readonly RESET_CONTENT: 205;
    readonly PARTIAL_CONTENT: 206;
    readonly MULTI_STATUS: 207;
    readonly ALREADY_REPORTED: 208;
    readonly CONTENT_DIFFERENT: 210;
    readonly IM_USED: 226;
};
export declare const HTTP_CODE_REDIRECTION: {
    readonly MULTIPLE_CHOICES: 300;
    readonly MOVED_PERMANENTLY: 301;
    readonly FOUND: 302;
    readonly SEE_OTHER: 303;
    readonly NOT_MODIFIED: 304;
    readonly USE_PROXY: 305;
    readonly SWITCH_PROXY: 306;
    readonly TEMPORARY_REDIRECT: 307;
    readonly PERMANENT_REDIRECT: 308;
    readonly TOO_MANY_REDIRECT: 310;
};
export declare const HTTP_CODE_CLIENT_ERROR: {
    readonly BAD_REQUEST: 400;
    readonly UNAUTHORIZED: 401;
    readonly PAYMENT_REQUIRED: 402;
    readonly FORBIDDEN: 403;
    readonly NOT_FOUND: 404;
    readonly METHOD_NOT_ALLOWED: 405;
    readonly NOT_ACCEPTABLE: 406;
    readonly PROXY_AUTHENTICATION_REQUIRED: 407;
    readonly REQUEST_TIMEOUT: 408;
    readonly CONFLICT: 409;
    readonly GONE: 410;
    readonly LENGTH_REQUIRED: 411;
    readonly PRECONDITION_FAILED: 412;
    readonly REQUEST_ENTITY_TOO_LARGE: 413;
    readonly REQUEST_URI_TOO_LONG: 414;
    readonly UNSUPPORTED_MEDIA_TYPE: 415;
    readonly REQUESTED_RANGE_UNSATISFIABLE: 416;
    readonly EXPECTATION_FAILED: 417;
    readonly IM_A_TEAPOT: 418;
    readonly BAD_MAPPING: 421;
    readonly MISDIRECTED_REQUEST: 421;
    readonly UNPROCESSABLE_ENTITY: 422;
    readonly LOCKED: 423;
    readonly METHOD_FAILURE: 424;
    readonly TOO_EARLY: 425;
    readonly UPGRADE_REQUIRED: 426;
    readonly PRECONDITION_REQUIRED: 428;
    readonly TOO_MANY_REQUESTS: 429;
    readonly REQUEST_HEADER_FIELDS_TOO_LARGE: 431;
    readonly RETRY_WITH: 449;
    readonly BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS: 450;
    readonly UNAVAILABLE_FOR_LEGAL_REASONS: 451;
    readonly UNRECOVERABLE_ERROR: 456;
};
export declare const HTTP_CODE_SERVER_ERROR: {
    readonly INTERNAL_SERVER_ERROR: 500;
    readonly NOT_IMPLEMENTED: 501;
    readonly BAD_GATEWAY: 502;
    readonly PROXY_ERROR: 502;
    readonly SERVICE_UNAVAILABLE: 503;
    readonly GATEWAY_TIMEOUT: 504;
    readonly HTTP_VERSION_NOT_SUPPORTED: 505;
    readonly VARIANT_ALSO_NEGOTIATES: 506;
    readonly INSUFFICIENT_STORAGE: 507;
    readonly LOOP_DETECTED: 508;
    readonly BANDWIDTH_LIMIT_EXCEEDED: 509;
    readonly NOT_EXTENDED: 510;
    readonly NETWORK_AUTHENTICATION_REQUIRED: 511;
};
export declare const HTTP_CODE: {
    readonly INTERNAL_SERVER_ERROR: 500;
    readonly NOT_IMPLEMENTED: 501;
    readonly BAD_GATEWAY: 502;
    readonly PROXY_ERROR: 502;
    readonly SERVICE_UNAVAILABLE: 503;
    readonly GATEWAY_TIMEOUT: 504;
    readonly HTTP_VERSION_NOT_SUPPORTED: 505;
    readonly VARIANT_ALSO_NEGOTIATES: 506;
    readonly INSUFFICIENT_STORAGE: 507;
    readonly LOOP_DETECTED: 508;
    readonly BANDWIDTH_LIMIT_EXCEEDED: 509;
    readonly NOT_EXTENDED: 510;
    readonly NETWORK_AUTHENTICATION_REQUIRED: 511;
    readonly BAD_REQUEST: 400;
    readonly UNAUTHORIZED: 401;
    readonly PAYMENT_REQUIRED: 402;
    readonly FORBIDDEN: 403;
    readonly NOT_FOUND: 404;
    readonly METHOD_NOT_ALLOWED: 405;
    readonly NOT_ACCEPTABLE: 406;
    readonly PROXY_AUTHENTICATION_REQUIRED: 407;
    readonly REQUEST_TIMEOUT: 408;
    readonly CONFLICT: 409;
    readonly GONE: 410;
    readonly LENGTH_REQUIRED: 411;
    readonly PRECONDITION_FAILED: 412;
    readonly REQUEST_ENTITY_TOO_LARGE: 413;
    readonly REQUEST_URI_TOO_LONG: 414;
    readonly UNSUPPORTED_MEDIA_TYPE: 415;
    readonly REQUESTED_RANGE_UNSATISFIABLE: 416;
    readonly EXPECTATION_FAILED: 417;
    readonly IM_A_TEAPOT: 418;
    readonly BAD_MAPPING: 421;
    readonly MISDIRECTED_REQUEST: 421;
    readonly UNPROCESSABLE_ENTITY: 422;
    readonly LOCKED: 423;
    readonly METHOD_FAILURE: 424;
    readonly TOO_EARLY: 425;
    readonly UPGRADE_REQUIRED: 426;
    readonly PRECONDITION_REQUIRED: 428;
    readonly TOO_MANY_REQUESTS: 429;
    readonly REQUEST_HEADER_FIELDS_TOO_LARGE: 431;
    readonly RETRY_WITH: 449;
    readonly BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS: 450;
    readonly UNAVAILABLE_FOR_LEGAL_REASONS: 451;
    readonly UNRECOVERABLE_ERROR: 456;
    readonly MULTIPLE_CHOICES: 300;
    readonly MOVED_PERMANENTLY: 301;
    readonly FOUND: 302;
    readonly SEE_OTHER: 303;
    readonly NOT_MODIFIED: 304;
    readonly USE_PROXY: 305;
    readonly SWITCH_PROXY: 306;
    readonly TEMPORARY_REDIRECT: 307;
    readonly PERMANENT_REDIRECT: 308;
    readonly TOO_MANY_REDIRECT: 310;
    readonly OK: 200;
    readonly CREATED: 201;
    readonly ACCEPTED: 202;
    readonly NON_AUTHORITATIVE_INFORMATION: 203;
    readonly NO_CONTENT: 204;
    readonly RESET_CONTENT: 205;
    readonly PARTIAL_CONTENT: 206;
    readonly MULTI_STATUS: 207;
    readonly ALREADY_REPORTED: 208;
    readonly CONTENT_DIFFERENT: 210;
    readonly IM_USED: 226;
    readonly CONTINUE: 100;
    readonly SWITCHING_PROTOCOL: 101;
    readonly PROCESSING: 102;
    readonly EARLY_HINTS: 103;
};
export declare type HTTPCodeSuccess = typeof HTTP_CODE_SUCCESS[keyof typeof HTTP_CODE_SUCCESS];
export declare type HTTPCodeRedirection = typeof HTTP_CODE_REDIRECTION[keyof typeof HTTP_CODE_REDIRECTION];
export declare type HTTPCodeInformation = typeof HTTP_CODE_INFORMATION[keyof typeof HTTP_CODE_INFORMATION];
export declare type HTTPCodeClientError = typeof HTTP_CODE_CLIENT_ERROR[keyof typeof HTTP_CODE_CLIENT_ERROR];
export declare type HTTPCodeServerError = typeof HTTP_CODE_SERVER_ERROR[keyof typeof HTTP_CODE_SERVER_ERROR];
export declare type HTTPCode = typeof HTTP_CODE[keyof typeof HTTP_CODE];
export declare const isHttpCodeSuccess: (data: any) => data is HTTPCodeSuccess;
export declare const isHttpCodeInformation: (data: any) => data is HTTPCodeInformation;
export declare const isHttpCodeRedirection: (data: any) => data is HTTPCodeRedirection;
export declare const isHttpCodeClientError: (data: any) => data is HTTPCodeClientError;
export declare const isHttpCodeServerError: (data: any) => data is HTTPCodeServerError;
