"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHttpCodeServerError = exports.isHttpCodeClientError = exports.isHttpCodeRedirection = exports.isHttpCodeInformation = exports.isHttpCodeSuccess = exports.HTTP_CODE = exports.HTTP_CODE_SERVER_ERROR = exports.HTTP_CODE_CLIENT_ERROR = exports.HTTP_CODE_REDIRECTION = exports.HTTP_CODE_SUCCESS = exports.HTTP_CODE_INFORMATION = void 0;
exports.HTTP_CODE_INFORMATION = {
    CONTINUE: 100,
    SWITCHING_PROTOCOL: 101,
    PROCESSING: 102,
    EARLY_HINTS: 103,
};
exports.HTTP_CODE_SUCCESS = {
    OK: 200,
    CREATED: 201,
    ACCEPTED: 202,
    NON_AUTHORITATIVE_INFORMATION: 203,
    NO_CONTENT: 204,
    RESET_CONTENT: 205,
    PARTIAL_CONTENT: 206,
    MULTI_STATUS: 207,
    ALREADY_REPORTED: 208,
    CONTENT_DIFFERENT: 210,
    IM_USED: 226,
};
exports.HTTP_CODE_REDIRECTION = {
    MULTIPLE_CHOICES: 300,
    MOVED_PERMANENTLY: 301,
    FOUND: 302,
    SEE_OTHER: 303,
    NOT_MODIFIED: 304,
    USE_PROXY: 305,
    SWITCH_PROXY: 306,
    TEMPORARY_REDIRECT: 307,
    PERMANENT_REDIRECT: 308,
    TOO_MANY_REDIRECT: 310,
};
exports.HTTP_CODE_CLIENT_ERROR = {
    BAD_REQUEST: 400,
    UNAUTHORIZED: 401,
    PAYMENT_REQUIRED: 402,
    FORBIDDEN: 403,
    NOT_FOUND: 404,
    METHOD_NOT_ALLOWED: 405,
    NOT_ACCEPTABLE: 406,
    PROXY_AUTHENTICATION_REQUIRED: 407,
    REQUEST_TIMEOUT: 408,
    CONFLICT: 409,
    GONE: 410,
    LENGTH_REQUIRED: 411,
    PRECONDITION_FAILED: 412,
    REQUEST_ENTITY_TOO_LARGE: 413,
    REQUEST_URI_TOO_LONG: 414,
    UNSUPPORTED_MEDIA_TYPE: 415,
    REQUESTED_RANGE_UNSATISFIABLE: 416,
    EXPECTATION_FAILED: 417,
    IM_A_TEAPOT: 418,
    BAD_MAPPING: 421,
    MISDIRECTED_REQUEST: 421,
    UNPROCESSABLE_ENTITY: 422,
    LOCKED: 423,
    METHOD_FAILURE: 424,
    TOO_EARLY: 425,
    UPGRADE_REQUIRED: 426,
    PRECONDITION_REQUIRED: 428,
    TOO_MANY_REQUESTS: 429,
    REQUEST_HEADER_FIELDS_TOO_LARGE: 431,
    RETRY_WITH: 449,
    BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS: 450,
    UNAVAILABLE_FOR_LEGAL_REASONS: 451,
    UNRECOVERABLE_ERROR: 456,
};
exports.HTTP_CODE_SERVER_ERROR = {
    INTERNAL_SERVER_ERROR: 500,
    NOT_IMPLEMENTED: 501,
    BAD_GATEWAY: 502,
    PROXY_ERROR: 502,
    SERVICE_UNAVAILABLE: 503,
    GATEWAY_TIMEOUT: 504,
    HTTP_VERSION_NOT_SUPPORTED: 505,
    VARIANT_ALSO_NEGOTIATES: 506,
    INSUFFICIENT_STORAGE: 507,
    LOOP_DETECTED: 508,
    BANDWIDTH_LIMIT_EXCEEDED: 509,
    NOT_EXTENDED: 510,
    NETWORK_AUTHENTICATION_REQUIRED: 511,
};
exports.HTTP_CODE = __assign(__assign(__assign(__assign(__assign({}, exports.HTTP_CODE_INFORMATION), exports.HTTP_CODE_SUCCESS), exports.HTTP_CODE_REDIRECTION), exports.HTTP_CODE_CLIENT_ERROR), exports.HTTP_CODE_SERVER_ERROR);
var isHttpCodeSuccess = function (data) { return Object.values(exports.HTTP_CODE_SUCCESS).includes(data); };
exports.isHttpCodeSuccess = isHttpCodeSuccess;
var isHttpCodeInformation = function (data) { return Object.values(exports.HTTP_CODE_INFORMATION).includes(data); };
exports.isHttpCodeInformation = isHttpCodeInformation;
var isHttpCodeRedirection = function (data) { return Object.values(exports.HTTP_CODE_REDIRECTION).includes(data); };
exports.isHttpCodeRedirection = isHttpCodeRedirection;
var isHttpCodeClientError = function (data) { return Object.values(exports.HTTP_CODE_CLIENT_ERROR).includes(data); };
exports.isHttpCodeClientError = isHttpCodeClientError;
var isHttpCodeServerError = function (data) { return Object.values(exports.HTTP_CODE_SERVER_ERROR).includes(data); };
exports.isHttpCodeServerError = isHttpCodeServerError;
//# sourceMappingURL=httpcode.js.map